javax.el

## Class MethodExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.MethodExpression

All Implemented Interfaces:
  java.io.Serializable

    public abstract class MethodExpression
    extends Expression

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MethodExpression()`

### Method Summary

Methods
`abstract MethodInfo` `getMethodInfo(ELContext context)`
`abstract java.lang.Object` `invoke(ELContext context, java.lang.Object[] params)`
`boolean` `isParmetersProvided()`

### Methods inherited from class javax.el.Expression

`equals, getExpressionString, hashCode, isLiteralText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodExpression

    public MethodExpression()

### Method Detail

#### getMethodInfo

    public abstract MethodInfo getMethodInfo(ELContext context)
                                      throws java.lang.NullPointerException,
                                             PropertyNotFoundException,
                                             MethodNotFoundException,
                                             ELException

Throws:
  `java.lang.NullPointerException`
  `PropertyNotFoundException`
  `MethodNotFoundException`
  `ELException`

#### invoke

    public abstract java.lang.Object invoke(ELContext context,
                          java.lang.Object[] params)
                                     throws java.lang.NullPointerException,
                                            PropertyNotFoundException,
                                            MethodNotFoundException,
                                            ELException

Throws:
  `java.lang.NullPointerException`
  `PropertyNotFoundException`
  `MethodNotFoundException`
  `ELException`

#### isParmetersProvided

    public boolean isParmetersProvided()

Since:
  EL 2.2 Note: The spelling mistake is deliberate. isParmetersProvided() - Specification definition isParametersProvided() - Corrected spelling